> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hybridbox.io/llms.txt
> Use this file to discover all available pages before exploring further.

# 그룹 멤버 목록

> 계정 인증 그룹 멤버 목록

<script src="/locale-bridge.js" />


## OpenAPI

````yaml /openapi.ko.json GET /v1/public/accounts/{account_id}/auth/groups/{group_id}/members
openapi: 3.1.0
info:
  title: Code API (Public)
  version: 1.0.0
servers:
  - url: https://api.hybridbox.io
security: []
paths:
  /v1/public/accounts/{account_id}/auth/groups/{group_id}/members:
    get:
      tags:
        - public-accounts
        - public-account-auth
      summary: 계정 인증 그룹 멤버 목록
      description: 경로 계정에 바인딩된 그룹의 직접 멤버를 나열합니다.
      operationId: >-
        list_public_account_auth_group_members_v1_public_accounts__account_id__auth_groups__group_id__members_get
      parameters:
        - in: path
          name: group_id
          required: true
          schema:
            title: Group Id
            type: string
        - in: path
          name: account_id
          required: true
          schema:
            format: uuid
            title: Account Id
            type: string
        - in: query
          name: search
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Search
        - in: query
          name: page
          required: false
          schema:
            default: 1
            title: Page
            type: integer
        - in: query
          name: page_size
          required: false
          schema:
            default: 25
            title: Page Size
            type: integer
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GroupMembersPageResponse'
          description: ''
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: 검증 오류
      security:
        - PublicBearerAuth: []
components:
  schemas:
    GroupMembersPageResponse:
      properties:
        account_id:
          format: uuid
          title: 계정 Id
          type: string
        group_id:
          title: 그룹 ID
          type: string
        groups:
          items:
            $ref: '#/components/schemas/GroupResponse'
          title: 그룹
          type: array
        linked_scopes:
          items:
            $ref: '#/components/schemas/GroupScopeLinkResponse'
          title: 연결된 범위
          type: array
        members:
          items:
            $ref: '#/components/schemas/GroupMemberResponse'
          title: 멤버
          type: array
        page:
          title: 페이지
          type: integer
        page_size:
          title: 페이지 크기
          type: integer
        search:
          anyOf:
            - type: string
            - type: 'null'
          title: 검색
        total:
          title: 합계
          type: integer
        users:
          items:
            $ref: '#/components/schemas/GroupMemberUserResponse'
          title: 사용자
          type: array
      required:
        - group_id
        - account_id
        - page
        - page_size
        - total
      title: GroupMembersPageResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: 세부 정보
          type: array
      title: HTTP검증 오류
      type: object
    GroupResponse:
      properties:
        account_id:
          format: uuid
          title: 계정 Id
          type: string
        attributes:
          additionalProperties:
            items:
              type: string
            type: array
          title: 속성
          type: object
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: 설명
        id:
          title: ID
          type: string
        keycloak_account_id:
          anyOf:
            - format: uuid
              type: string
            - type: 'null'
          title: Keycloak 계정 ID
        keycloak_name:
          title: Keycloak 이름
          type: string
        linked_scopes:
          items:
            $ref: '#/components/schemas/GroupScopeLinkResponse'
          title: 연결된 범위
          type: array
        name:
          title: 이름
          type: string
        parent_id:
          anyOf:
            - type: string
            - type: 'null'
          title: 상위 ID
        path:
          anyOf:
            - type: string
            - type: 'null'
          title: 경로
        permission_context:
          $ref: '#/components/schemas/PermissionInspectabilitySnapshot'
        subgroup_ids:
          items:
            type: string
          title: 하위 그룹 ID 목록
          type: array
      required:
        - id
        - account_id
        - name
        - keycloak_name
      title: GroupResponse
      type: object
    GroupScopeLinkResponse:
      description: 그룹에 연결된 리소스 범위에 대한 스키마입니다.
      properties:
        resource_id:
          format: uuid
          title: 리소스 ID
          type: string
        resource_type:
          title: 리소스 유형
          type: string
      required:
        - resource_type
        - resource_id
      title: GroupScopeLinkResponse
      type: object
    GroupMemberResponse:
      description: 단일 직접 그룹 구성원 항목입니다.
      properties:
        group:
          anyOf:
            - $ref: '#/components/schemas/GroupResponse'
            - type: 'null'
        resolved:
          title: 확인됨
          type: boolean
        subject_id:
          title: 주체 ID
          type: string
        subject_type:
          title: 주체 유형
          type: string
        user:
          anyOf:
            - $ref: '#/components/schemas/GroupMemberUserResponse'
            - type: 'null'
      required:
        - subject_type
        - subject_id
        - resolved
      title: GroupMemberResponse
      type: object
    GroupMemberUserResponse:
      properties:
        email:
          anyOf:
            - type: string
            - type: 'null'
          title: 이메일
        first_name:
          anyOf:
            - type: string
            - type: 'null'
          title: 이름
        id:
          title: ID
          type: string
        last_name:
          anyOf:
            - type: string
            - type: 'null'
          title: 성
        username:
          anyOf:
            - type: string
            - type: 'null'
          title: 사용자 이름
      required:
        - id
      title: GroupMemberUserResponse
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: 위치
          type: array
        msg:
          title: 메시지
          type: string
        type:
          title: 오류 유형
          type: string
      required:
        - loc
        - msg
        - type
      title: 검증 오류
      type: object
    PermissionInspectabilitySnapshot:
      description: 사용자, 그룹 및 초대 관리를 위한 공유 검사 가능성 스냅샷입니다.
      properties:
        assigned_bundle_keys:
          items:
            type: string
          title: 할당된 번들 키
          type: array
        direct_capability_keys:
          items:
            type: string
          title: 직접 기능 키
          type: array
        owner_assignments:
          items:
            $ref: '#/components/schemas/OwnerAssignmentSnapshot'
          title: 소유자 할당
          type: array
        resolved_capability_keys:
          items:
            type: string
          title: 확인된 기능 키
          type: array
        status:
          default: active
          title: 상태
          type: string
        subject_id:
          default: ''
          title: 주체 ID
          type: string
        subject_type:
          default: unknown
          title: 주체 유형
          type: string
      title: PermissionInspectabilitySnapshot
      type: object
    OwnerAssignmentSnapshot:
      description: 계정 소유자 관계를 나타내는 스키마입니다.
      properties:
        account_id:
          format: uuid
          title: 계정 Id
          type: string
      required:
        - account_id
      title: OwnerAssignmentSnapshot
      type: object
  securitySchemes:
    PublicBearerAuth:
      bearerFormat: JWT or Hybridbox Service account token
      description: >-
        Public API bearer credential sent as `Authorization: Bearer <token>`.
        Use either an OAuth access token or a Hybridbox Service account token.
      scheme: bearer
      type: http

````